export function useSubscribe() {
    const fns = [];
    const on = (fn) => {
        fns.push(fn);
    };
    const trigger = (param) => {
        fns.forEach((fn) => fn(param));
    };
    return {
        on,
        trigger,
    };
}
